/* GENERAL AND DEFAULTS CONFIGURATION*/
*{
    margin: 0;
    padding: 0;
    box-shadow: rgba(3, 102, 214, 0.0) 0px 0px 0px 3px;
    font-family: 'Gladly Accept', sans-serif;
    text-decoration: none;
    transition: background-color 0.3s ease-in-out;
}

::-webkit-scrollbar {
  width: 4px;
}
/* Track */
::-webkit-scrollbar-track {
  border-radius: 10px;
  box-shadow: var(--paper-shadow);
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--subtitle-text-color);
  border-radius: 10px;
}
/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #555;
  }
:root{
    --primary-color:#2b2d42;
    --secondary-color:#30638e;
    --background-color: #ffffff;
    --secondary-background-color: #ececec;
    --paper-background-color: #ffffff;
    --item-background:#3d348b;
    --item-background-hover:#7678ed;
    --title-text-color: #ffffff;
    --subtitle-text-color:#dfdfdf;
    --primary-text-color: #000000;
    --secondary-text-color: #3b3b3b;
    --hover-menu-color: #e5e5e5;
    --border-default-color: #e5e5e5;
    --paper-shadow: rgba(0, 0, 0, 0.1) 0px 1px 2px 0px;
    --default-menushadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}
body{
    display: flex;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
}
hr{
    border: 1px solid var(--border-default-color);
}

/* END OF GENERAL AND DEFAULTS CONFIGURATION*/

/* HEADER CONFIGURATION*/
#header{
    background-color: var(--primary-color);
    box-shadow: var(--default-menushadow);
    height: 70px;
}
#main-menu{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 5px;
    align-items: center;
}
#container1,#container2{
    width: 50%;
    height: 100%;
    align-items: center;
}
#accountBtn{
    text-align: right;
    margin: 15px;
    right: 0;
}
#titleHeader{
    font-size: 1.8rem;
    color:var(--title-text-color);
}
#subtitleHeader{
    font-size: 1.0rem;
    color: var(--subtitle-text-color);
    font-weight: 500;
}
#profileIcon{
    color:white;
    font-size:2rem;
    border-radius: 50%;
    padding: 3px;
    cursor: pointer;
    vertical-align: middle;
}
#profileIcon:hover{
    background-color: #ffffff11;
}
#dropdownbtn{
    display: none;
}
.dropdownMenu *{
    padding: 0 0;
    justify-content: space-between;
    align-items: center;
    vertical-align: middle;
}
[id^=dropdownbtn]:checked + ul{
    visibility: visible;
    opacity: 1;
}
.dropdown-item{
    background-color: transparent;
    border: 0;
    color:#ffffff;
    display: flex;
    padding: 0 10px;
    align-items: center;
    width: auto;
    margin: auto -5px;
    height: 40px;
    cursor: pointer;
}
.dropdown-item:hover{
    background-color: #3b3b3b;
}

.dropdown .dropdownMenu{
    visibility: hidden;
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 200px;
    background-color: #141414f6;
    color: #fff;
    text-align: center;
    border-radius: 10px;
    border: 1px solid #333333;
    padding: 5px 5px;
    position: absolute;
    top: 60px;
    right: 0px;
    z-index: 1;
    opacity: 0;
    transition: opacity 0.3s;
}
  
.dropdown .dropdownMenu::after {
    content: "";
    position: absolute;
    top: -10px;
    right: 30px;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent #141414f6 transparent;
}
  
/* END OF HEADER CONFIGURATION*/

/* LATERAL MENU CONFIGURATION*/
#lateralHeader{
    height: 70px;
    border-bottom: 1px solid var(--hover-menu-color);
    display: flex;
    justify-content: right;
    align-items: center;
    transition: all 0.5s ease-in-out;
}
#retractBtn{
    margin: 5px;
    border: 0;
    border-radius: 50%;
    width: 40px;
    height: 40px;
}
#retractBtn:hover{
   background-color: var(--hover-menu-color);
   cursor: pointer;
}
#ProfileInfo{
    display: block;
    text-align: center;
    padding: 5px;
    border-bottom: 1px solid var(--border-default-color);
    transition: all 0.5s ease-in-out;
    height: 200px;
}
.profilePic{
    border: 1px solid var(--item-background);
    border-radius: 50%;
    height:150px;
    width: 150px;
    object-fit: cover;
}
#idNumber{
    background-color: var(--hover-menu-color);
    border: 1px solid var(--border-default-color);
    border-radius: 5px;
}
#lateral-menu{
    height: 100vh;
    background-color: var(--background-color);
    width: 300px;
    border-right: 1px solid var(--border-default-color);
    transition: all 0.5s ease-in-out;
}
#lateral-menu.hidden{
    width:100px;
}
#lateral-menu.hidden #lateralHeader{
    justify-content: center;
}

#lateral-menu.hidden #ProfileInfo,#lateral-menu.hidden .navBtn h3{
    opacity:0;
    height:0px;
    overflow: hidden;
}
#lateral-menu.hidden .menu-list{
    height: calc(100vh - 70px);

}
.menu-list{
    height: calc(100vh - 270px);
    padding: 8px;
    overflow-y: scroll;
}

.navBtn:hover{
    cursor: pointer;
}
.menu-list .navBtn{
    background-color: var(--paper-background-color);
    color: var(--primary-text-color);
    border:0;
    width: 100%;
    margin:2px 0px;
    padding: 8px;
    font-size: 1rem;
    border-radius: 7px;
    text-align: center;
    border: 1px solid var(--border-default-color);
}
.menu-list .navBtn:hover{
    background-color: var(--hover-menu-color);
}
.navIcon{
    font-size: 2rem;
    color: var(--title-text-color);
    background-color: var(--item-background);
    padding: 5px;
    margin: 5px;
    border-radius: 50%;
}
/* END OF LATERAL MENU CONFIGURATION*/


/* CONTENT CONFIGURATION*/

.AuthForm {
    width: 300px;
    margin: 0 auto;
    text-align: center;
}
/*input/textfields/textarea*/
.TextField{
    width: 100%;
    height: 40px;
    margin-bottom: 10px;
    border: 1px solid var(--border-default-color);
    padding: 0 10px;
    font-size: 16px;
    border-radius: 8px;
}
.searchFields{
    border-radius: 8px;
    border: 1px solid var(--border-default-color);
    padding: 5px;
    font-size: 1rem;
}
/*buttons*/
.WideBtn{
    background-color: var(--item-background);
    color:var(--title-text-color);
    padding: 10px;
    border: 0;
    border-radius: 8px;
    width: 100%;
    cursor: pointer;
}
.WideBtn:hover{
    background-color: var(--item-background-hover);
}
.slimBtn{
    background-color: var(--item-background);
    color:var(--title-text-color);
    padding: 10px;
    border: 0;
    border-radius: 8px;
}
.slimBtn:hover{
    background-color: var(--item-background-hover);
}
/*texts*/
.TitleHeader{
    padding: 5px;
}

.SubTitle{
    padding: 15px;
}
.listTitle{
    font-size: 1rem;
    padding: 4px;
}
/*containers*/
.Paper{
    background-color: var(--paper-background-color);
    padding: 10px;
    margin:5px;
    border-radius: 8px;
    border: 1px solid var(--border-default-color);
    box-shadow: var(--paper-shadow);
    max-height: calc(100vh - 150px);
    overflow-y: scroll; 
}
.bodyContainer{
    width: 100%;
}
.contentContainer{
    inset: 10px;
    margin: auto;
    overflow-y: scroll;
}
.centerContainer{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 60vh;
}
.columnContainer{
    display: flex;
    flex-direction: row;
    justify-content: center;
}
.flexwrapContainer{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
/*lists*/
.listItem{
    margin:5px;
    padding: 10px;
    border: 1px solid var(--border-default-color);
    border-radius: 5px;
    display:flex;
    flex-wrap: wrap;
    transition: all 0.3s ease-in-out;
}
.listItem:hover{
    background-color: var(--hover-menu-color);
}

/*cards*/


/* Card styles*/
.card {
    display: flex;
    flex-direction: column;
    width: 300px;
    height: 400px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 5px;
    justify-content: center;
}
    
.cardImage {
    width: 300px;
    max-height: 250px;
    background-color: #f5f5f5;
}
    
.cardImage img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
    
.cardContent {
    padding: 15px;
}
    
.cardTitle {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
}
    
.cardSubtitle {
    font-size: 14px;
    color: #666;
}
.cardBtn{
    background-color: transparent;
    height:300px;
    width:300px;
    border: 1px solid #ccc;
    border-radius: 5px;
    display: flex;
    text-align: center;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 5px;
    transition: all 0.3s ease-in-out;
}
.cardMd{
    background-color: transparent;
    height:300px;
    width:300px;
    border: 1px solid #ccc;
    border-radius: 5px;
    display: flex;
    text-align: center;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 5px;
}
.cardBtn:hover{
    background-color: var(--hover-menu-color);
    cursor: pointer;
}
.cardIcon{
    font-size: 4rem;
    color: var(--title-text-color);
    background-color: var(--item-background);
    padding: 25px;
    margin: 5px;
    border-radius: 50%;
    
}
    
    /* Accordion style */
    
.accordion {
    overflow: hidden;
}
.accordion i{
    font-size: 20px;
}
.accordionItem {
    background-color: var(--background-color);
    color: var(--secondary-text-color);
    cursor: pointer;
    margin:5px;
    padding: 15px;
    border: 1px solid var(--border-default-color);
    border-radius: 5px;
    text-align: left;
    outline: none;
    font-size: 15px;
    transition: all 0.4s ease-in-out;
    }
    
.accordionItem a {
    display: block;
    text-decoration: none;
    color: var(--primary-text-color);
}
    
.accordionItem:hover {
    background-color: var(--hover-menu-color);
}
    
.accordionContent {
    padding: 0 18px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-in-out;
}
.accordionItem.active {
    background-color: var(--secondary-background-color);
    }
.accordionItem.active .accordionContent {
    max-height: 500px;
}


/* Calendar */

* {box-sizing: border-box;}
ul {list-style-type: none;}

#calendar{
    margin: 5px;
    border-radius: 5px;
    overflow: hidden;
}

.month {
  padding: 70px 25px;
  width: 100%;
  background: var(--item-background);
  text-align: center;
}

.month ul {
  margin: 0;
  padding: 0;
}

.month ul li {
  color: var(--background-color);
  font-size: 20px;
  text-transform: uppercase;
  letter-spacing: 3px;
}

.month .prev {
  float: left;
  padding-top: 10px;
}

.month .next {
  float: right;
  padding-top: 10px;
}

.weekdays {
  margin: 0;
  padding: 10px 0;
  background-color: var(--subtitle-text-color);
}

.weekdays li {
  display: inline-block;
  width: 13.6%;
  color: var(--secondary-text-color);
  text-align: center;
}

.days {
  padding: 10px 0;
  background: var(--secondary-background-color);
  margin: 0;
}

.days li {
  list-style-type: none;
  display: inline-block;
  width: 13.6%;
  text-align: center;
  margin-bottom: 5px;
  font-size:12px;
  color: var(--secondary-text-color);
}

.days li .active {
  padding: 5px;
  background: var(--item-background-hover);
  color: var(--title-text-color) !important;
  border-radius: 50%;
}


/* Add media queries for smaller screens */
@media screen and (max-width:720px) {
  .weekdays li, .days li {width: 13.1%;}
}

@media screen and (max-width: 420px) {
  .weekdays li, .days li {width: 12.5%;}
  .days li .active {padding: 2px;}
}

@media screen and (max-width: 290px) {
  .weekdays li, .days li {width: 12.2%;}
}


/* END OF CONTENT CONFIGURATION*/
